% File to include global variables

% Global size parameters
global nnp                      % number of nodal points
global nel                      % number of elements

% Nodal coordinates
global x                        % array of nodal x coordinates

% Element properties arrays
global CArea                    % array of element cross-sectional area values
global Permeability             % array of element permeability values

% Element nodal connectivity array, location matrix and gather matrix
global LM                       % gather matrix: LM(nen,nel)
                                %  stores global nodal number for
                                %  each local node of each element

% Global equation matrix, forcing vector, and solution vector
global Kg                       % global permeability matrix
global F                        % global system forcing vector
global u                        % global system solution vector

% Boundary Conditions (B.C.) information
%  flag = 0 --> natural B.C.
%  flag = 1 --> essencial B.C.
global bc_init_flag             % initial node B.C. flag
global bc_end_flag              % end node B.C. flag
global bc_init_val              % initial node B.C. value
global bc_end_val               % end node B.C. value

% Distributed and point source loads
global dist_load                % array of element distributed source loads

% Analytical soluction data
global nasp                     % number of analytical solution points
global x_as                     % x coordinates of analytical solution points
global u_as                     % analytical field solution values
global q_as                     % analytical flux solution values
